PrefabFiles = {
	"krasus",
	"krasus_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/krasus.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/krasus.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/krasus.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/krasus.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/krasus_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/krasus_silho.xml" ),

    Asset( "IMAGE", "bigportraits/krasus.tex" ),
    Asset( "ATLAS", "bigportraits/krasus.xml" ),
	
	Asset( "IMAGE", "images/map_icons/krasus.tex" ),
	Asset( "ATLAS", "images/map_icons/krasus.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_krasus.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_krasus.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_krasus.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_krasus.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_krasus.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_krasus.xml" ),
	
	Asset( "IMAGE", "images/names_krasus.tex" ),
    Asset( "ATLAS", "images/names_krasus.xml" ),
	
    Asset( "IMAGE", "bigportraits/krasus_none.tex" ),
    Asset( "ATLAS", "bigportraits/krasus_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.krasus = "The Wyrm"
STRINGS.CHARACTER_NAMES.krasus = "Krasus"
STRINGS.CHARACTER_DESCRIPTIONS.krasus = "*A majestic red one.\n*Archmage.\n*Also a good daddy."
STRINGS.CHARACTER_QUOTES.krasus = "\"I miss the sky from time to time.\""

-- Custom speech strings
STRINGS.CHARACTERS.KRASUS = require "speech_krasus"

-- The character's name as appears in-game 
STRINGS.NAMES.KRASUS = "Esc"

AddMinimapAtlas("images/map_icons/krasus.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("krasus", "FEMALE")

